
%global git_revno 495

Name:           openstack-packstack
Version:        2012.2.3
#Release:       1%{?dist}
Release:        0.12.dev%{git_revno}%{?dist}
Summary:        Openstack Install Utility

Group:          Applications/System
License:        ASL 2.0 and GPLv2
URL:            https://github.com/stackforge/packstack
# Tarball is created by bin/release.sh
#Source0:        http://derekh.fedorapeople.org/downloads/packstack/packstack-%{version}.tar.gz
Source0:        http://mmagr.fedorapeople.org/downloads/packstack/packstack-%{version}dev%{git_revno}.tar.gz

Patch0:         dhcp-bz903545.patch
Patch1:         0001-rhel-check-bz893934.patch
Patch2:         0002-selinux-bz918549.patch
Patch3:         0003-dhcp-bz903545.patch
Patch4:         0004-Removing-installing-EPEL-as-an-option.patch
Patch5:         0005-Beta-prompt-change-wording.patch
Patch6:         0006-proof-of-conceptinstallation-proof-of-concept-instal.patch
Patch7:         0007-Skip-optparse-validation-for-regex-values.patch
Patch8:         0008-Only-print-warning-about-cert-if-it-was-generated.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if 0%{?rhel}
BuildRequires:  python-sphinx10
%else
BuildRequires:  python-sphinx
%endif

Requires:       openssh-clients
Requires:       openstack-utils

%description
Packstack is a utility that uses puppet modules to install openstack
packstack can be used to deploy various parts of openstack on multiple
pre installed servers over ssh. It does this by using puppet manifests to
apply Puppet Labs modules (https://github.com/puppetlabs/)


%package -n packstack-modules-puppet
Summary:        Set of Puppet modules for OpenStack

%description -n packstack-modules-puppet
Set of Puppet modules used by Packstack to install OpenStack


%prep
#%setup -n packstack-%{version}
%setup -n packstack-%{version}dev%{git_revno}
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

# Sanitizing a lot of the files in the puppet modules, they come from seperate upstream projects
find packstack/puppet/modules \( -name .fixtures.yml -o -name .gemfile -o -name ".travis.yml" -o -name .rspec \) -exec rm {} \;
find packstack/puppet/modules \( -name "*.py" -o -name "*.rb" -o -name "*.pl" \) -exec sed -i '/^#!/{d;q}' {} \; -exec chmod -x {} \;
find packstack/puppet/modules \( -name "*.sh" \) -exec sed -i 's/^#!.*/#!\/bin\/bash/g' {} \; -exec chmod +x {} \;
find packstack/puppet/modules -name site.pp -size 0 -exec rm {} \;
find packstack/puppet/modules \( -name spec -o -name ext \)  | xargs  rm -rf

# Moving this data directory out temporarily as it causes setup.py to throw errors
rm -rf %{_builddir}/puppet
mv packstack/puppet %{_builddir}/puppet


%build
# puppet on fedora already has this module, using this one causes problems
%if 0%{?fedora}
    rm -rf %{_builddir}/puppet/modules/create_resources
%endif

%{__python} setup.py build

cd docs
%if 0%{?rhel}
make man SPHINXBUILD=sphinx-1.0-build
%else
make man
%endif


%install
%{__python} setup.py install --skip-build --root %{buildroot}

mkdir -p %{buildroot}/%{_datadir}/packstack/
mv %{_builddir}/puppet %{buildroot}/%{python_sitelib}/packstack/puppet
cp -r %{buildroot}/%{python_sitelib}/packstack/puppet/modules  %{buildroot}/%{_datadir}/packstack/modules

mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m 644 docs/_build/man/*.1 %{buildroot}%{_mandir}/man1/


%files
%doc LICENSE
%{_bindir}/packstack
%{python_sitelib}/packstack
%{python_sitelib}/packstack-%{version}*.egg-info
%{_mandir}/man1/packstack.1.gz


%files -n packstack-modules-puppet
%defattr(644,root,root,755)
%{_datadir}/packstack/modules/


%changelog
* Mon Jun 24 2013 Martin Magr <mmagr@redhat.com> - 2012.2.3-0.12.dev495
- Updated to version 2012.2.3dev495
- Disable *keystone directories to be world readable (#958900)
- Remove temporary fixes in cinder::base (#958900)
- Changed mode of /var/log/nova to 0750 (#958900)
- Ensure cinder-volumes VG persists reboot (#947624)
- Disable starting VMs by libvirt (#920704)

* Thu Mar 28 2013 Derek Higgins <derekh@redhat.com> - 2012.2.3-0.11.dev475
- packstack-modules-puppet holds a copy of the puppet modules
- Fixes: rhbz#928776

* Mon Mar 25 2013 Derek Higgins <derekh@redhat.com> - 2012.2.3-0.10.dev475
- Only print warning about cert if it was generated, Fixes rhbz#924358

* Thu Mar 21 2013 Derek Higgins <derekh@redhat.com> - 2012.2.3-0.9.dev475
- Insert space to fix typo Fixes: rhbz#920867
- Skip optparse validation for regex options Fixes: rhbz#924159

* Thu Mar 21 2013 Derek Higgins <derekh@redhat.com> - 2012.2.3-0.8.dev475
- Propery let ssl key size Fixes: rhbz#919071

* Wed Mar 20 2013 Derek Higgins <derekh@redhat.com> - 2012.2.3-0.7.dev475
- Specifiy the network size when creating fixed network
- Fixes: rhbz#923650

* Tue Mar 19 2013 Derek Higgins <derekh@redhat.com> - 2012.2.3-0.6.dev475
- remove epel option Fixes: rhbz#920812
- reword beta repo description Fixes: rhbz#920809
- Fixes: rhbz#920812, rhbz#920809

* Wed Mar 13 2013 Martin Magr <mmagr@redhat.com> - 2012.2.3-0.5.dev475
- Updated to version 2012.2.3dev475
- Fixes: rhbz#909424, rhbz#910556, rhbz#915383, rhbz#916605, rhbz#916618,
         rhbz#916783, rhbz#917073, rhbz#918304, rhbz#918589, rhbz#919071,
         rhbz#920230, rhbz#920867

* Thu Mar 7 2013 Martin Magr <mmagr@redhat.com> - 2012.2.3-0.2.dev454
- Updated selinux patch (rhbz#918549)

* Wed Feb 27 2013 Martin Magr <mmagr@redhat.com> - 2012.2.3-0.1.dev454
- Updated to version 2012.2.3dev454
- Fixes: rhbz#865347, rhbz#888725, rhbz#892247, rhbz#893107, rhbz#894733,
         rhbz#896618, rhbz#903545, rhbz#903813, rhbz#904670, rhbz#905081,
         rhbz#905368, rhbz#908695, rhbz#908771, rhbz#908846, rhbz#908900,
         rhbz#910089, rhbz#910210, rhbz#911626, rhbz#912006, rhbz#912702,
         rhbz#912745, rhbz#912768, rhbz#915382

* Fri Feb 15 2013 Martin Magr <mmagr@redhat.com> - 2012.2.2-1.0.dev408
- Updated to version 2012.2.2dev408
- Fixes: rhbz#911653

* Wed Feb 13 2013 Martin Magr <mmagr@redhat.com> - 2012.2.2-0.9.dev406
- Updated to version 2012.2.2dev406
- Fixes: rhbz#886592, rhbz#886603, rhbz#890295, rhbz#892942, rhbz#903187,
         rhbz#903502, rhbz#904669, rhbz#905368, rhbz#905516, rhbz#905737,
         rhbz#905842, rhbz#906006, rhbz#906410, rhbz#907624, rhbz#907737,
         rhbz#908103, rhbz#908837, rhbz#908838, rhbz#910211, rhbz#910818

* Tue Jan 29 2013 Martin Magr <mmagr@redhat.com> - 2012.2.2-0.8.dev346
- Updated to version 2012.2.2dev346

* Mon Jan 28 2013 Martin Magr <mmagr@redhat.com> - 2012.2.2-0.6.dev345
- Updated to version 2012.2.2dev345
- Added RHEL-6.4 check patch (rhbz#893934)

* Mon Jan 21 2013 Martin Magr <mmagr@redhat.com> - 2012.2.2-0.5.dev318
- Updated to version 2012.2.2dev318

* Fri Jan 18 2013 Martin Magr <mmagr@redhat.com> - 2012.2.2-0.4.dev315
- Added openstack-utils to Requires
- Updated to version 2012.2.2dev315

* Fri Jan 11 2013 Derek Higgins <derekh@redhat.com> - 2012.2.2-0.3.dev281
- updated to version 2012.2.2dev281

* Fri Dec 07 2012 Derek Higgins <derekh@redhat.com> - 2012.2.2-0.2.dev211
- Fixed packaging, shebang in .sh files was being removed
- updated to version 2012.2.2dev211

* Wed Dec 05 2012 Derek Higgins <derekh@redhat.com> - 2012.2.2-0.1.dev205
- Fixing pre release versioning
- updated to version 2012.2.2dev205

* Fri Nov 30 2012 Derek Higgins <derekh@redhat.com> - 2012.2.1-1dev197
- cleaning up spec file
- updated to version 2012.2.1-1dev197

* Wed Nov 28 2012 Derek Higgins <derekh@redhat.com> - 2012.2.1-1dev186
- example packaging for Fedora / Redhat
